Я включил плагин cordova-plugin-firebase в свой проект, и у меня возникли трудности со сборкой на Android (iOS в порядке).

Плагин $ cordova добавить cordova-plugin-firebase - сохранить платформу $ ionic cordova добавить android open android studio - синхронизировать gradle, затем появляется ошибка ниже

Error:Could not find play-services-base.jar (com.google.android.gms:play-services-base:15.0.1).
Searched in the following locations:
    https://jcenter.bintray.com/com/google/android/gms/play-services-base/15.0.1/play-services-base-15.0.1.jar

enter image description here

К вашему сведению, вот некоторые детали проекта

Im using ionic version 1
"cordova-android": "~6.3.0",
in build.gradle: classpath 'com.android.tools.build:gradle:2.2.3'

dependencies {
    compile fileTree(dir: 'libs', include: '*.jar')
    // SUB-PROJECT DEPENDENCIES START
    debugCompile(project(path: "CordovaLib", configuration: "debug"))
    releaseCompile(project(path: "CordovaLib", configuration: "release"))
    compile "com.android.support:support-v4:24.1.1+"
    compile "com.google.gms:google-services:+"
    compile "com.google.android.gms:play-services-tagmanager:+"
    compile "com.google.firebase:firebase-core:+"
    compile "com.google.firebase:firebase-messaging:+"
    compile "com.google.firebase:firebase-crash:+"
    compile "com.google.firebase:firebase-config:+"
    compile "com.google.firebase:firebase-perf:+"
    compile "com.android.support:appcompat-v7:23+"
    compile "com.onesignal:OneSignal:3.9.1"
    // SUB-PROJECT DEPENDENCIES END
}

in the Android SDK Manager -> SDK Tools. Google Play Services version 49 is installed https://imgur.com/a/qR29lbL

Это мой файл build.gradle gist.github.com/axilaris/39a22849a649c60bcce079b67d4bb.com

Как я могу решить эту проблему для Android?

2
Axil 20 Июн 2018 в 10:50

1 ответ

Лучший ответ

Ответ можно найти здесь:

Инструмент сборки Gradle не может найти play-services-tasks.aar? Почему?

https://issuetracker.google.com/issues/80362794

Исправление состоит в том, чтобы поместить URL-адрес Google выше jcenter () в список репозиториев в gradle. Проблема в следующем: https://issuetracker.google.com/issues/80362794

По сути, ниже было мое исправление для работы в build.gradle

buildscript {
    repositories {
        maven {
            url "https://maven.google.com"
        }
        jcenter()

    }

    // Switch the Android Gradle plugin version requirement depending on the
    // installed version of Gradle. This dependency is documented at
    // http://tools.android.com/tech-docs/new-build-system/version-compatibility
    // and https://issues.apache.org/jira/browse/CB-8143
    dependencies {
        classpath 'com.android.tools.build:gradle:2.2.3'
    }
}

// Allow plugins to declare Maven dependencies via build-extras.gradle.
allprojects {
    repositories {
        maven {
            url "https://maven.google.com"
        }
        jcenter()

    }
}
4
Axil 24 Июн 2018 в 05:38